Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.layoutmgr
Class LayoutManagerMapping.InlineContainerLayoutManagerMaker

    java.lang.Object
      org.apache.fop.layoutmgr.LayoutManagerMapping.Maker
          org.apache.fop.layoutmgr.LayoutManagerMapping.InlineContainerLayoutManagerMaker

Enclosing class:
  LayoutManagerMapping

    public static class LayoutManagerMapping.InlineContainerLayoutManagerMaker

extends LayoutManagerMapping.Maker

a layout manager maker

Constructor Summary
`LayoutManagerMapping.InlineContainerLayoutManagerMaker()`

Method Summary
`void` | `make(FONode node, java.util.List lms)` Create a layout manager.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LayoutManagerMapping.InlineContainerLayoutManagerMaker

    public LayoutManagerMapping.InlineContainerLayoutManagerMaker()

Method Detail

### make

    public void make(FONode node,
                     java.util.List lms)

  Create a layout manager.

  Overrides:
    `make` in class `LayoutManagerMapping.Maker`
  Parameters:
    `node` - the associated FO node
    `lms` - a list of layout managers to which new manager is to be added

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.